<ion-header>
  <ion-navbar>
  <button ion-button menuToggle>
  <ion-icon name="menu"></ion-icon>
  </button>
  <ion-title>Home</ion-title>
  </ion-navbar>
  </ion-header>
  <ion-content>
  <div id="floating-panel">
  <b>Start: </b>
  <select [(ngModel)]="start" id="start">
  <option value="chicago, il">Chicago</option>
  <option value="st louis, mo">St Louis</option>
  <option value="joplin, mo">Joplin, MO</option>
  <option value="oklahoma city, ok">Oklahoma City</option>
  <option value="amarillo, tx">Amarillo</option>
  <option value="gallup, nm">Gallup, NM</option>
  <option value="flagstaff, az">Flagstaff, AZ</option>
  <option value="winona, az">Winona</option>
  <option value="kingman, az">Kingman</option>
  <option value="barstow, ca">Barstow</option>
  <option value="san bernardino, ca">San Bernardino</option>
  <option value="los angeles, ca">Los Angeles</option>
  </select>
  <br>
  <b>End: </b>
  <select [(ngModel)]="end" id="end">
  <option value="chicago, il">Chicago</option>
  <option value="st louis, mo">St Louis</option>
  <option value="joplin, mo">Joplin, MO</option>
  <option value="oklahoma city, ok">Oklahoma City</option>
  <option value="amarillo, tx">Amarillo</option>
  <option value="gallup, nm">Gallup, NM</option>
  <option value="flagstaff, az">Flagstaff, AZ</option>
  <option value="winona, az">Winona</option>
  <option value="kingman, az">Kingman</option>
  <option value="barstow, ca">Barstow</option>
  <option value="san bernardino, ca">San Bernardino</option>
  <option value="los angeles, ca">Los Angeles</option>
  </select>
  <button ion-button block (click)="calculateAndDisplayRoute()">Generate</button>
  </div>
  <div #map id="map"></div>
  </ion-content>